/**
 * Finds the nearest package.json relative to the given directory, returning
 * undefined if it's not found.
 */
export declare function findPackageJson(dir: string): string | undefined;
/**
 * Loads data from the project's package.json, throwing an error if it can't
 * be loaded.
 */
export declare function mustLoadPackageJson(dir: string): any;
/**
 * Returns the base path of a project nested in the given directory (the
 * folder containing the package.json).
 */
export declare function getProjectPath(dir: string): string | undefined;
/**
 * Finds where the given dependency is installed.
 */
export declare function getDependencyPath(name: string): string;
/**
 * Gets the path to the binary script defeined by the module in the given dir.
 */
export declare function getPackageExecutable(base: string, commandName?: string): string;
/**
 * Finds the readme for the project in the given directory. Uses a similar
 * process to npm.
 */
export declare function findReadme(dir: string): Promise<string | undefined>;
/**
 * Returns whether all requested dependencies are installed in node_modules
 * relative to the project base directory.
 */
export declare function isPackagedInstalled(baseDir: string, ...dependencies: string[]): Promise<boolean>;
